Skip to main content
GET
Get a maintenance event

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

The ID of the maintenance event

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

Response

Returns a maintenance event

id
string
required

The ID of the maintenance event

state
enum<string>
required

The state of the maintenance event

Available options:
scheduled,
in_progress,
completed,
canceled,
expired
what
string
required

What the maintenance changes

why
string
required

Why the maintenance is needed

expected_impact
string
required

The impact to expect while the maintenance runs

scheduled_at
string | null
required

When the maintenance is scheduled to run

not_after
string
required

The deadline by which the maintenance must run

completed_at
string | null
required

When the maintenance completed

reschedules_remaining
integer
required

How many more times the maintenance can be rescheduled

branch
object
required
available_times
string[]
required

The times the maintenance can be rescheduled to